com.tibbo.aggregate.common.server

## Interface DeviceContextConstants

-     public interface DeviceContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT_VARIABLE_SYNC_OPTIONS`
    `static java.lang.String` | `A_MANAGE`
    `static java.lang.String` | `A_RESET`
    `static java.lang.String` | `A_SETUP`
    `static java.lang.String` | `A_SYNCHRONIZE`
    `static java.lang.String` | `E_FUNCTION_CALLED`
    `static java.lang.String` | `E_SYNCHRONIZED`
    `static java.lang.String` | `EF_FUNCTION_CALLED_FUNCTION`
    `static java.lang.String` | `EF_FUNCTION_CALLED_INPUT`
    `static java.lang.String` | `EF_FUNCTION_CALLED_OUTPUT`
    `static java.lang.String` | `EF_FUNCTION_CALLED_USER`
    `static java.lang.String` | `F_RESET`
    `static java.lang.String` | `F_SYNCHRONIZE`
    `static java.lang.String` | `FIF_SYNCHRONIZE_VARIABLE`
    `static java.lang.String` | `V_ASSETS`
    `static java.lang.String` | `V_CACHE`
    `static java.lang.String` | `V_CONNECTION_PROPERTIES`
    `static java.lang.String` | `V_EVENTS_CACHE`
    `static java.lang.String` | `V_FUNCTIONS_CACHE`
    `static java.lang.String` | `V_GENERIC_PROPERTIES`
    `static java.lang.String` | `V_MANAGED_EVENTS`
    `static java.lang.String` | `V_MANAGED_FUNCTIONS`
    `static java.lang.String` | `V_MANAGED_VARIABLES`
    `static java.lang.String` | `V_SETTING_STATUSES`
    `static java.lang.String` | `V_SETTING_SYNC_OPTIONS`
    `static java.lang.String` | `V_SETTINGS_STATUS`
    `static java.lang.String` | `V_STATUS`
    `static java.lang.String` | `V_STATUS_EXPRESSIONS`
    `static java.lang.String` | `V_STATUS_SYNC_RECENT_LOG`
    `static java.lang.String` | `V_VARIABLES_CACHE`
    `static java.lang.String` | `VF_CACHE_SYNC_TIME`
    `static java.lang.String` | `VF_CACHE_TYPE`
    `static java.lang.String` | `VF_GENERIC_PROPERTIES_TYPE`
    `static java.lang.String` | `VF_STATUS_COLOR`
    `static java.lang.String` | `VF_STATUS_CONNECTION_STATUS`
    `static java.lang.String` | `VF_STATUS_DRIVER`
    `static java.lang.String` | `VF_STATUS_DRIVER_STATUS`
    `static java.lang.String` | `VF_STATUS_EXPRESSIONS_EXPRESSION`
    `static java.lang.String` | `VF_STATUS_STAT_EVENTS`
    `static java.lang.String` | `VF_STATUS_STAT_FUNCTION_CALLS`
    `static java.lang.String` | `VF_STATUS_STAT_VARIABLE_READS`
    `static java.lang.String` | `VF_STATUS_STAT_VARIABLE_WRITES`
    `static java.lang.String` | `VF_STATUS_STATUS`
    `static java.lang.String` | `VF_STATUS_SYNC_DETAILS`
    `static java.lang.String` | `VF_STATUS_SYNC_END_TIME`
    `static java.lang.String` | `VF_STATUS_SYNC_FILL_RATE`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_CONNECT_ONLY`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_DURATION`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_READ_METADATA`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_START_TIME`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_STATUS`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_VARIABLE_NAME`
    `static java.lang.String` | `VF_STATUS_SYNC_LOG_VARIABLES`
    `static java.lang.String` | `VF_STATUS_SYNC_STATUS`

- - ### Field Detail

    - #### V_GENERIC_PROPERTIES

          static final java.lang.String V_GENERIC_PROPERTIES

      See Also:
        Constant Field Values

    - #### V_CONNECTION_PROPERTIES

          static final java.lang.String V_CONNECTION_PROPERTIES

      See Also:
        Constant Field Values

    - #### V_STATUS_EXPRESSIONS

          static final java.lang.String V_STATUS_EXPRESSIONS

      See Also:
        Constant Field Values

    - #### V_STATUS

          static final java.lang.String V_STATUS

      See Also:
        Constant Field Values

    - #### V_STATUS_SYNC_RECENT_LOG

          static final java.lang.String V_STATUS_SYNC_RECENT_LOG

      See Also:
        Constant Field Values

    - #### V_SETTING_STATUSES

          static final java.lang.String V_SETTING_STATUSES

      See Also:
        Constant Field Values

    - #### V_SETTING_SYNC_OPTIONS

          static final java.lang.String V_SETTING_SYNC_OPTIONS

      See Also:
        Constant Field Values

    - #### V_ASSETS

          static final java.lang.String V_ASSETS

      See Also:
        Constant Field Values

    - #### V_MANAGED_VARIABLES

          static final java.lang.String V_MANAGED_VARIABLES

      See Also:
        Constant Field Values

    - #### V_MANAGED_FUNCTIONS

          static final java.lang.String V_MANAGED_FUNCTIONS

      See Also:
        Constant Field Values

    - #### V_MANAGED_EVENTS

          static final java.lang.String V_MANAGED_EVENTS

      See Also:
        Constant Field Values

    - #### V_CACHE

          static final java.lang.String V_CACHE

      See Also:
        Constant Field Values

    - #### V_SETTINGS_STATUS

          static final java.lang.String V_SETTINGS_STATUS

      See Also:
        Constant Field Values

    - #### V_VARIABLES_CACHE

          static final java.lang.String V_VARIABLES_CACHE

      See Also:
        Constant Field Values

    - #### V_FUNCTIONS_CACHE

          static final java.lang.String V_FUNCTIONS_CACHE

      See Also:
        Constant Field Values

    - #### V_EVENTS_CACHE

          static final java.lang.String V_EVENTS_CACHE

      See Also:
        Constant Field Values

    - #### F_RESET

          static final java.lang.String F_RESET

      See Also:
        Constant Field Values

    - #### F_SYNCHRONIZE

          static final java.lang.String F_SYNCHRONIZE

      See Also:
        Constant Field Values

    - #### E_SYNCHRONIZED

          static final java.lang.String E_SYNCHRONIZED

      See Also:
        Constant Field Values

    - #### E_FUNCTION_CALLED

          static final java.lang.String E_FUNCTION_CALLED

      See Also:
        Constant Field Values

    - #### A_MANAGE

          static final java.lang.String A_MANAGE

      See Also:
        Constant Field Values

    - #### A_RESET

          static final java.lang.String A_RESET

      See Also:
        Constant Field Values

    - #### A_SYNCHRONIZE

          static final java.lang.String A_SYNCHRONIZE

      See Also:
        Constant Field Values

    - #### A_SETUP

          static final java.lang.String A_SETUP

      See Also:
        Constant Field Values

    - #### A_EDIT_VARIABLE_SYNC_OPTIONS

          static final java.lang.String A_EDIT_VARIABLE_SYNC_OPTIONS

      See Also:
        Constant Field Values

    - #### VF_STATUS_EXPRESSIONS_EXPRESSION

          static final java.lang.String VF_STATUS_EXPRESSIONS_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_GENERIC_PROPERTIES_TYPE

          static final java.lang.String VF_GENERIC_PROPERTIES_TYPE

      See Also:
        Constant Field Values

    - #### VF_STATUS_STATUS

          static final java.lang.String VF_STATUS_STATUS

      See Also:
        Constant Field Values

    - #### VF_STATUS_COLOR

          static final java.lang.String VF_STATUS_COLOR

      See Also:
        Constant Field Values

    - #### VF_STATUS_DRIVER

          static final java.lang.String VF_STATUS_DRIVER

      See Also:
        Constant Field Values

    - #### VF_STATUS_DRIVER_STATUS

          static final java.lang.String VF_STATUS_DRIVER_STATUS

      See Also:
        Constant Field Values

    - #### VF_STATUS_CONNECTION_STATUS

          static final java.lang.String VF_STATUS_CONNECTION_STATUS

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_STATUS

          static final java.lang.String VF_STATUS_SYNC_STATUS

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_END_TIME

          static final java.lang.String VF_STATUS_SYNC_END_TIME

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_DETAILS

          static final java.lang.String VF_STATUS_SYNC_DETAILS

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_FILL_RATE

          static final java.lang.String VF_STATUS_SYNC_FILL_RATE

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_START_TIME

          static final java.lang.String VF_STATUS_SYNC_LOG_START_TIME

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_DURATION

          static final java.lang.String VF_STATUS_SYNC_LOG_DURATION

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_CONNECT_ONLY

          static final java.lang.String VF_STATUS_SYNC_LOG_CONNECT_ONLY

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_READ_METADATA

          static final java.lang.String VF_STATUS_SYNC_LOG_READ_METADATA

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_STATUS

          static final java.lang.String VF_STATUS_SYNC_LOG_STATUS

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_VARIABLES

          static final java.lang.String VF_STATUS_SYNC_LOG_VARIABLES

      See Also:
        Constant Field Values

    - #### VF_STATUS_SYNC_LOG_VARIABLE_NAME

          static final java.lang.String VF_STATUS_SYNC_LOG_VARIABLE_NAME

      See Also:
        Constant Field Values

    - #### VF_STATUS_STAT_VARIABLE_READS

          static final java.lang.String VF_STATUS_STAT_VARIABLE_READS

      See Also:
        Constant Field Values

    - #### VF_STATUS_STAT_VARIABLE_WRITES

          static final java.lang.String VF_STATUS_STAT_VARIABLE_WRITES

      See Also:
        Constant Field Values

    - #### VF_STATUS_STAT_FUNCTION_CALLS

          static final java.lang.String VF_STATUS_STAT_FUNCTION_CALLS

      See Also:
        Constant Field Values

    - #### VF_STATUS_STAT_EVENTS

          static final java.lang.String VF_STATUS_STAT_EVENTS

      See Also:
        Constant Field Values

    - #### VF_CACHE_TYPE

          static final java.lang.String VF_CACHE_TYPE

      See Also:
        Constant Field Values

    - #### VF_CACHE_SYNC_TIME

          static final java.lang.String VF_CACHE_SYNC_TIME

      See Also:
        Constant Field Values

    - #### FIF_SYNCHRONIZE_VARIABLE

          static final java.lang.String FIF_SYNCHRONIZE_VARIABLE

      See Also:
        Constant Field Values

    - #### EF_FUNCTION_CALLED_FUNCTION

          static final java.lang.String EF_FUNCTION_CALLED_FUNCTION

      See Also:
        Constant Field Values

    - #### EF_FUNCTION_CALLED_INPUT

          static final java.lang.String EF_FUNCTION_CALLED_INPUT

      See Also:
        Constant Field Values

    - #### EF_FUNCTION_CALLED_OUTPUT

          static final java.lang.String EF_FUNCTION_CALLED_OUTPUT

      See Also:
        Constant Field Values

    - #### EF_FUNCTION_CALLED_USER

          static final java.lang.String EF_FUNCTION_CALLED_USER

      See Also:
        Constant Field Values